From: Michael Fladischer <FladischerMichael@fladi.at>
Date: Sun, 26 May 2019 19:21:16 +0200
Subject: Skip tests if required modules are not installed.

---
 tests/integration/test_azure.py | 6 ++++++
 tests/test_azure.py             | 6 ++++++
 tests/test_dropbox.py           | 6 ++++++
 tests/test_gcloud.py            | 6 ++++++
 tests/test_s3boto3.py           | 6 ++++++
 tests/test_sftp.py              | 7 ++++++-
 6 files changed, 36 insertions(+), 1 deletion(-)

diff --git a/tests/integration/test_azure.py b/tests/integration/test_azure.py
index 51db074..396c95a 100644
--- a/tests/integration/test_azure.py
+++ b/tests/integration/test_azure.py
@@ -2,6 +2,12 @@
 
 from __future__ import unicode_literals
 
+import unittest
+try:
+    import azure
+except ImportError:
+    raise unittest.SkipTest("azure package not installed, skipping tests")
+
 import io
 
 from django import forms
diff --git a/tests/test_azure.py b/tests/test_azure.py
index 2401d3f..5b61a2b 100644
--- a/tests/test_azure.py
+++ b/tests/test_azure.py
@@ -2,6 +2,12 @@
 
 from __future__ import unicode_literals
 
+import unittest
+try:
+    import azure
+except ImportError:
+    raise unittest.SkipTest("azure package not installed, skipping tests")
+
 import datetime
 from datetime import timedelta
 
diff --git a/tests/test_dropbox.py b/tests/test_dropbox.py
index d237a7c..249e4ec 100644
--- a/tests/test_dropbox.py
+++ b/tests/test_dropbox.py
@@ -1,3 +1,9 @@
+import unittest
+try:
+    import dropbox
+except ImportError:
+    raise unittest.SkipTest("dropbox package not installed, skipping tests")
+
 import io
 from datetime import datetime
 
diff --git a/tests/test_gcloud.py b/tests/test_gcloud.py
index de7ebd1..4f7a320 100644
--- a/tests/test_gcloud.py
+++ b/tests/test_gcloud.py
@@ -1,5 +1,11 @@
 # -*- coding: utf-8 -*-
 
+import unittest
+try:
+    import google.cloud
+except ImportError:
+    raise unittest.SkipTest("google.cloud package not installed, skipping tests")
+
 try:
     from unittest import mock
 except ImportError:  # Python 3.2 and below
diff --git a/tests/test_s3boto3.py b/tests/test_s3boto3.py
index 01f18ac..ee843a9 100644
--- a/tests/test_s3boto3.py
+++ b/tests/test_s3boto3.py
@@ -1,6 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
+import unittest
+try:
+    import boto3
+except ImportError:
+    raise unittest.SkipTest("boto3 package not installed, skipping tests")
+
 import gzip
 import pickle
 import threading
diff --git a/tests/test_sftp.py b/tests/test_sftp.py
index 8885f60..a7e26f0 100644
--- a/tests/test_sftp.py
+++ b/tests/test_sftp.py
@@ -1,9 +1,14 @@
+import unittest
+try:
+    import paramiko
+except ImportError:
+    raise unittest.SkipTest("boto package not installed, skipping tests")
+
 import io
 import os
 import stat
 from datetime import datetime
 
-import paramiko
 from django.core.files.base import File
 from django.test import TestCase
 
